org.apache.cassandra.cache

## Class CounterCacheKey

- java.lang.Object
- - org.apache.cassandra.cache.CacheKey
  - - org.apache.cassandra.cache.CounterCacheKey

All Implemented Interfaces:
  IMeasurableMemory

    public final class CounterCacheKey
    extends CacheKey

### Field Summary

Fields
`byte[]` `cellName`
`byte[]` `partitionKey`

### Fields inherited from class org.apache.cassandra.cache.CacheKey

`ksAndCFName`

### Constructor Summary

Constructors
Constructor and Description
`CounterCacheKey(Pair<java.lang.String,java.lang.String> ksAndCFName, java.nio.ByteBuffer partitionKey, java.nio.ByteBuffer cellName)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CounterCacheKey` `create(Pair<java.lang.String,java.lang.String> ksAndCFName, java.nio.ByteBuffer partitionKey, Clustering clustering, ColumnDefinition c, CellPath path)`
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`java.lang.String` `toString()`
`long` `unsharedHeapSize()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### partitionKey

    public final byte[] partitionKey

#### cellName

    public final byte[] cellName

### Constructor Detail

#### CounterCacheKey

    public CounterCacheKey(Pair<java.lang.String,java.lang.String> ksAndCFName,
                           java.nio.ByteBuffer partitionKey,
                           java.nio.ByteBuffer cellName)

### Method Detail

#### create

    public static CounterCacheKey create(Pair<java.lang.String,java.lang.String> ksAndCFName,
                                         java.nio.ByteBuffer partitionKey,
                                         Clustering clustering,
                                         ColumnDefinition c,
                                         CellPath path)

#### unsharedHeapSize

    public long unsharedHeapSize()

Returns:
  the amount of on-heap memory retained by the object that might be reclaimed if the object were reclaimed, i.e. it should try to exclude globally cached data where possible, or counting portions of arrays that are referenced by the object but used by other objects only (e.g. slabbed byte-buffers), etc.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`